## dnf-goal

dnf-goal

## Functions

gboolean | dnf_goal_depsolve ()
GPtrArray * | dnf_goal_get_packages ()
void | dnf_goal_add_protected ()
void | dnf_goal_set_protected ()

## Description

## Functions

### dnf_goal_depsolve ()

    gboolean
    dnf_goal_depsolve (HyGoal goal,
                       DnfGoalActions flags,
                       GError **error);

### dnf_goal_get_packages ()

    GPtrArray *
    dnf_goal_get_packages (HyGoal goal,
                           ...);

### dnf_goal_add_protected ()

    void
    dnf_goal_add_protected (HyGoal goal,
                            DnfPackageSet *pset);

### dnf_goal_set_protected ()

    void
    dnf_goal_set_protected (HyGoal goal,
                            DnfPackageSet *pset);